"""=============================================
منطق برنامه تعیین کننده اینکه آیا مثلثی یک مثلث قایم الزاویه است یا نه
============================================="""

a = float(input("A: "))
b = float(input("B: "))
c = float(input("C: "))

if a**2 + b**2 == c**2  or a**2 + c**2 == b**2 or b**2 + c**2 == a**2:
    print("="*20,"\nYES","\nEnd Program")
else:
    print("=" * 20, "\nNO", "\nEnd Program")